Name:		pykka
Version:	0.15
Release:	2%{?dist}
Summary:	Python library that provides concurrency using actor model
Group:		Development/Libraries
License:	ASL 2.0
URL:		http://pykka.readthedocs.org/
Source0:	https://github.com/jodal/pykka/tarball/v%{version}/pykka-%{version}.tar.gz
BuildRequires:	python2-devel python-gevent python-sphinx
BuildArch:	noarch
Requires:	python-gevent

%description
The goal of Pykka is to provide easy to use concurrency abstractions for Python
by using the actor model.

Pykka provides an actor API with two different implementations:

 * ThreadingActor is built on the Python Standard Library’s threading and Queue
   modules, and has no dependencies outside Python itself. It plays well
   together with non-actor threads.
 * GeventActor is built on the gevent library. gevent is a coroutine-based
   Python networking library that uses greenlet to provide a high-level
   synchronous API on top of libevent event loop. It is generally faster, but
   doesn’t like playing with other threads.

Much of the naming in Pykka is inspired by the Akka project which implements
actors on the JVM. Though, Pykka does not aim to be a Python port of Akka.

%prep
%setup -q -c
DIR=`ls -d jodal-pykka-*`
mv $DIR/* ./
mv $DIR/.[a-zA-Z0-9]* ./
rmdir $DIR

%build
%{__python} setup.py build
cd docs
make man

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
cp -a docs/_build/man/* $RPM_BUILD_ROOT%{_mandir}/man1/

%files
%doc LICENSE README.rst
%{python_sitelib}/Pykka*
%{python_sitelib}/pykka
%{_mandir}/man1/*

%changelog
* Mon Aug 27 2012 Jonathan Dieter <jdieter@lesbg.com> - 0.15-2
- Update to latest version
- Remove unneeded sections
- Remove trailing .0 as it's not part of the original versioning
- Remove buildroot tag

* Wed Jan  4 2012 Jonathan Dieter <jdieter@lesbg.com> - 0.13.0-1
- Initial release
